Package Details: codelite-bin 13.0-1

Git Clone URL: https://aur.archlinux.org/codelite-bin.git (read-only)
Package Base: codelite-bin
Description: A cross platform C/C++/PHP and Node.js IDE written in C++
Upstream URL: http://www.codelite.org/
Keywords: C C++ IDE Node.js PHP wxGtk wxWidgets
Licenses: GPL
Conflicts: codelite, codelite-git
Provides: codelite
Replaces: codelite, codelite-svn
Submitter: agvares
Maintainer: aviallon
Last Packager: aviallon
Votes: 28
Popularity: 0.94
First Submitted: 2010-09-05 15:22
Last Updated: 2019-10-23 00:53

Latest Comments

1 2 3 Next › Last »

2dorf4u commented on 2019-11-14 03:44

Same problem as @Semaphor; the dependency wxgtk2 does not get installed.

codelite: error while loading shared libraries: libwx_gtk2u_aui-3.0.so.0: cannot open shared object file: No such file or directory

Semaphor commented on 2019-11-08 14:26

A clean install of Arch and Codelite gives me an error: Missing libwx_gtk2u_adv-3.0.so.0.

Installing wxgtk2 packaged fixed this. Could the maintainer please make wxgtk2 package a requirement for codelite.

aviallon commented on 2019-10-16 22:04

@jazztickets updated to last version. Should work now.

jazztickets commented on 2019-04-04 14:34

codelite: error while loading shared libraries: libclang.so.7: cannot open shared object file: No such file or directory

erkexzcx commented on 2018-09-14 22:06

codelite: error while loading shared libraries: libclang.so.5: cannot open shared object file: No such file or directory

jixun.moe commented on 2017-08-07 15:09

I have chagned `webkitgtk2` to `webkit2gtk` (extra repo: https://www.archlinux.org/packages/extra/x86_64/webkit2gtk/ ) and it built with out problems.

`webkitgtk2` took too long to build on my machine.

Not sure if there's any side effects, code lite ran without obvious problems.

sapjunior commented on 2017-01-11 01:46

wxCrafter not working! for 10.0.0

Zeph commented on 2016-11-02 19:42

had jansson package on opens suse build service,
codelite build can start now and build with Clang 3.9

jeancf commented on 2016-11-02 17:41

yaourt -S codelite-bin gives me:
"ERROR: Failure while downloading http://download.opensuse.org/repositories/home:/zeph33:/archlinux/Arch_Extra/x86_64/codelite-9.2.2-1-x86_64.pkg.tar.xz"

It looks like the OBS build failed due to unresolved dependencies:
"nothing provides jansson needed by libnm-glib"

uffe commented on 2016-11-01 15:22

just rebuild the codelite package - clang was updated to 3.9 some days ago